Package org.tmatesoft.svn.core.wc2

## Interface ISvnOperationOptionsProvider

- All Known Implementing Classes:
    `AbstractSvnCommit`, `AbstractSvnUpdate`, `SvnAnnotate`, `SvnCanonicalizeUrls`, `SvnCat`, `SvnCheckout`, `SvnCleanup`, `SvnCommit`, `SvnCopy`, `SvnDiff`, `SvnDiffSummarize`, `SvnExport`, `SvnGetChangelistPaths`, `SvnGetInfo`, `SvnGetMergeInfo`, `SvnGetProperties`, `SvnGetStatus`, `SvnGetStatusSummary`, `SvnImport`, `SvnList`, `SvnLog`, `SvnLogMergeInfo`, `SvnMarkReplaced`, `SvnMerge`, `SvnOperation`, `SvnOperationFactory`, `SvnPatch`, `SvnReceivingOperation`, `SvnRelocate`, `SvnRemoteCopy`, `SvnRemoteDelete`, `SvnRemoteMkDir`, `SvnRemoteSetProperty`, `SvnRepositoryCat`, `SvnRepositoryCopyRevisionProperties`, `SvnRepositoryCreate`, `SvnRepositoryDump`, `SvnRepositoryFilter`, `SvnRepositoryGetAuthor`, `SvnRepositoryGetChanged`, `SvnRepositoryGetChangedDirectories`, `SvnRepositoryGetDate`, `SvnRepositoryGetDiff`, `SvnRepositoryGetFileSize`, `SvnRepositoryGetHistory`, `SvnRepositoryGetInfo`, `SvnRepositoryGetLock`, `SvnRepositoryGetLog`, `SvnRepositoryGetProperties`, `SvnRepositoryGetProperty`, `SvnRepositoryGetRevisionProperties`, `SvnRepositoryGetRevisionProperty`, `SvnRepositoryGetTree`, `SvnRepositoryGetUUID`, `SvnRepositoryGetYoungest`, `SvnRepositoryHotCopy`, `SvnRepositoryInitialize`, `SvnRepositoryListLocks`, `SvnRepositoryListTransactions`, `SvnRepositoryLoad`, `SvnRepositoryOperation`, `SvnRepositoryPack`, `SvnRepositoryReceivingOperation`, `SvnRepositoryRecover`, `SvnRepositoryRemoveLocks`, `SvnRepositoryRemoveTransactions`, `SvnRepositorySetUUID`, `SvnRepositorySynchronize`, `SvnRepositorySyncInfo`, `SvnRepositoryUpgrade`, `SvnRepositoryVerify`, `SvnResolve`, `SvnRevert`, `SvnScheduleForAddition`, `SvnScheduleForRemoval`, `SvnSetChangelist`, `SvnSetLock`, `SvnSetProperty`, `SvnSetWCDbVersion`, `SvnSuggestMergeSources`, `SvnSwitch`, `SvnUnlock`, `SvnUpdate`, `SvnUpgrade`

      public interface ISvnOperationOptionsProvider

  Implementing this interface allows to handle the operation options: event handler, canceler, options, pool of repositories and authentication manager.
  Version:
    1.7
  Author:
    TMate Software Ltd.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ISVNAuthenticationManager` | `getAuthenticationManager()` | Gets operation's authentication manager.
    `ISVNCanceller` | `getCanceller()` | Gets the cancel handler of the operation.
    `ISVNEventHandler` | `getEventHandler()` | Gets the event handler for the operation.
    `ISVNOptions` | `getOptions()` | Gets operation's options.
    `ISVNRepositoryPool` | `getRepositoryPool()` | Gets the operation's pool of repositories.

- - ### Method Detail

    - #### getEventHandler

          ISVNEventHandler getEventHandler()

      Gets the event handler for the operation. This event handler will be dispatched `SVNEvent` objects to provide detailed information about actions and progress state of version control operations.
      Returns:
        handler for events
      See Also:
        `ISVNEventHandler`

    - #### getOptions

          ISVNOptions getOptions()

      Gets operation's options.
      Returns:
        options of the operation

    - #### getRepositoryPool

          ISVNRepositoryPool getRepositoryPool()

      Gets the operation's pool of repositories.
      Returns:
        pool of repositories

    - #### getAuthenticationManager

          ISVNAuthenticationManager getAuthenticationManager()

      Gets operation's authentication manager.
      Returns:
        authentication manager

    - #### getCanceller

          ISVNCanceller getCanceller()

      Gets the cancel handler of the operation.
      Returns:
        cancel handler